@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Black.woff2') format('woff2'),
        url('../fonts/Roboto-Black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-BlackItalic.woff2') format('woff2'),
        url('../fonts/Roboto-BlackItalic.woff') format('woff');
    font-weight: 900;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Bold.woff2') format('woff2'),
        url('../fonts/Roboto-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-BoldItalic.woff2') format('woff2'),
        url('../fonts/Roboto-BoldItalic.woff') format('woff');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-LightItalic.woff2') format('woff2'),
        url('../fonts/Roboto-LightItalic.woff') format('woff');
    font-weight: 300;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Italic.woff2') format('woff2'),
        url('../fonts/Roboto-Italic.woff') format('woff');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Light.woff2') format('woff2'),
        url('../fonts/Roboto-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Thin.woff2') format('woff2'),
        url('../fonts/Roboto-Thin.woff') format('woff');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-ThinItalic.woff2') format('woff2'),
        url('../fonts/Roboto-ThinItalic.woff') format('woff');
    font-weight: 100;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Regular.woff2') format('woff2'),
        url('../fonts/Roboto-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Medium.woff2') format('woff2'),
        url('../fonts/Roboto-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-MediumItalic.woff2') format('woff2'),
        url('../fonts/Roboto-MediumItalic.woff') format('woff');
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}

:root {
    --white: #ffffff;
    --black: #000000;
    --primary: #244FBE;
    --secondary: #0A1A35;
    --darkgrey: #0A1A35;
    --bodycolor: #edf1f4;
    --dangerColor: #db0303;
}

body {
    padding: 0;
    margin: 0;
    font-family: 'Roboto';
    background-color: #EDF1F4;
}



/*Login Page Css Start Here*/
.loginSec {
    background-color: var(--secondary);
    min-height: 100vh;
    display: flex;
}

.loginSec .loginContent_Sec {
    width: 40%;
    position: relative;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.loginSec .loginContent_Sec h2 {
    font-size: 34px;
    font-weight: 500;
    color: var(--white);
    margin-bottom: 0px;
}

.loginSec .loginContent_Sec p {
    font-size: 16px;
    font-weight: 400;
    color: var(--white);
}

.loginSec .loginContent_Sec img.lineShape {
    position: absolute;
    top: 42%;
    transform: translateY(-50%);
    left: -20px;
}

.loginSec .loginForm_Sec {
    width: 60%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--white);
    border-radius: 30px 0px 0px 30px;
    position: relative;
    overflow: hidden;
}

.loginSec .loginForm_Sec::before {
    content: '';
    background: url(../images/dot_square_img.png) no-repeat;
    width: 75px;
    height: 75px;
    position: absolute;
    top: 0;
    right: 0;
    background-size: 75px;
}

.loginSec .loginForm_Sec .loginFormBox {
    width: 50%;
    min-width: 500px;
}

.loginFormBox h2 {
    font-size: 36px;
    font-weight: 500;
    color: var(--primary);
    text-align: center;
    margin-bottom: 15px;
}

.loginFormBox span {
    display: block;
    text-align: center;
    font-size: 16px;
    font-weight: 400;
    color: #484848;
    margin-bottom: 40px;
}

.loginFormBox .cstmInputBox label {
    font-size: 16px;
    font-weight: 400;
    color: var(--black);
}

.loginFormBox .cstmInputBox input {
    font-size: 16px;
    font-weight: 400;
    color: var(--black);
    padding: 20px 50px 20px 15px;
}

.cstmInputBox i {
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 24px;
    color: var(--secondary);
}

.loginFormBox .cstmBTN {
    background: var(--primary);
    color: var(--white);
    border: blanchedalmond;
    outline: none;
    padding: 15px 20px;
    font-size: 16px;
    font-weight: 500;
    text-transform: uppercase;
    width: 100%;
    border-radius: 5px;
}

/*Login Page Css End Here*/

/*Dashboard Page Css Start Here*/
.adminHeaderSec {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--white);
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    padding: 15px 20px;
    margin-left: 300px;
    position: sticky;
    top: 0;
    z-index: 999;
    transition: all 0.5s ease-in-out;
}

.adminHeaderSec>.menuBarBtn {
    border: none;
    width: 40px;
    height: 40px;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    font-size: 18px;
    color: var(--primary);
}

.adminHeaderSec>.menuBarBtn i:last-child {
    opacity: 0.5;
}

.adminHeaderSec .headerRightBox {
    display: flex;
    align-items: center;
    gap: 15px;
}

.adminHeaderSec .headerRightBox>button {
    width: 45px;
    height: 45px;
    background: var(--bodycolor);
    border-radius: 5px;
    color: var(--primary);
    font-size: 22px;
    display: flex;
    align-items: center;
    justify-content: center;
    outline: none;
    border: none;
}

.adminHeaderSec .headerRightBox>button:first-child span {
    width: 12px;
    height: 12px;
    background-color: #4BA122;
}

.cstmProfileDropdownmenu button {
    display: flex;
    align-items: center;
    background-color: transparent;
    outline: none;
    border: none;
    gap: 5px;
    padding: 0px;
}

.cstmProfileDropdownmenu button:hover,
.cstmProfileDropdownmenu button:first-child:active {
    background-color: transparent;
}

.cstmProfileDropdownmenu button::after {
    content: '';
    display: none;
}

.cstmProfileDropdownmenu button h2 {
    font-size: 16px;
    font-weight: 500;
    color: var(--primary);
    margin: 0;
    text-align: end;
}

.cstmProfileDropdownmenu button span {
    font-size: 14px;
    font-weight: 400;
    color: #858585;
    margin: 0;
    text-align: end;
}

.cstmProfileDropdownmenu button .profileImgBox {
    width: 45px;
    height: 45px;
    border-radius: 5px;
    overflow: hidden;
    border: 2px solid var(--white);
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cstmProfileDropdownmenu ul {
    padding: 0;
    overflow: hidden;
    width: 200px;
}

.cstmProfileDropdownmenu ul li a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 10px;
    color: var(--secondary);
}

.cstmProfileDropdownmenu ul li a i {
    color: var(--primary);
}

.cstmProfileDropdownmenu ul li a:hover {
    background-color: var(--primary);
    color: var(--white);
}

.cstmProfileDropdownmenu ul li a:hover i {
    color: var(--white);
}

.cstmProfileDropdownmenu ul li {
    border-bottom: 1px solid #ddd;
}

.cstmProfileDropdownmenu ul li:last-child {
    content: '';
    border: none;
}


.sidebarSec {
    background: var(--secondary);
    width: 300px;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    transition: all 0.5s ease-in-out;
    z-index: 999;
}

.sidebarSec>.logo {
    height: 75px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom: 1px solid #223149;
}

.sidebarSec>.logo>.logoIconImg {
    display: none;
}

.sidebarSec .sidenavbar_Sec {
    padding: 15px 15px;
    margin: 0;
    list-style: none;
}

.sidebarSec .sidenavbar_Sec>li>a {
    font-size: 16px;
    font-weight: 400;
    color: var(--white);
    text-decoration: none;
    display: flex;
    align-items: center;
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 5px;
    position: relative;
    gap: 5px;
}

.sidebarSec .sidenavbar_Sec>li>a>.navIconBox {
    width: 30px;
    min-width: 30px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.sidebarSec .sidenavbar_Sec>li>a:hover,
.sidebarSec .sidenavbar_Sec>li>.activenav {
    background-color: var(--primary);
}

.sidebarSec .sidenavbar_Sec>li>a .angleDown {
    position: absolute;
    right: 13px;
    top: 15px;
    transition: all 0.2s ease-in-out;
}

.sidebarSec .sidenavbar_Sec>li>ul {
    display: none;
    padding-left: 40px;
}

.sidebarSec .sidenavbar_Sec>li>ul li a {
    font-size: 16px;
    font-weight: 400;
    color: var(--white);
    text-decoration: none;
    display: flex;
    align-items: center;
    padding: 3px 10px;
    border-radius: 5px;
    margin-bottom: 5px;
    position: relative;
    gap: 5px;
}

.sidebarSec .sidenavbar_Sec>li>ul li::marker {
    color: #4aa3e5;
}

.sidebarSec .sidenavbar_Sec>li>ul li a:hover,
.sidebarSec .sidenavbar_Sec>li>ul li .activenav {
    color: #4aa3e5;
}

.sidebarSec .sidenavbar_Sec>li>.activenav .angleDown {
    transform: rotate(-180deg);
}


.dashboardBody_Sec {
    margin-left: 300px;
    padding: 15px 20px;
    transition: all 0.5s ease-in-out;
}

.sectionHeader {
    display: flex;
    align-items: start;
    justify-content: space-between;
}

.sectionHeader h2 {
    font-size: 20px;
    font-weight: 500;
    color: var(--primary);
    margin-bottom: 5px;
}

.sectionHeader span {
    font-size: 14px;
    font-weight: 400;
    color: #000;
}


.breadcrumbNav ol li a {
    font-size: 16px;
    font-weight: 400;
    color: var(--primary);
}

.dashboardCards {
    background-image: linear-gradient(to bottom, #3693ff, #3288eb, #2f7dd7, #2d73c3, #2a68b0);
    padding: 20px 15px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.dashboardCards2 {
    background-image: linear-gradient(to bottom, #ac4cbc, #9c45ab, #8d3d9a, #7e368a, #6f2f7a);
}

.dashboardCards3 {
    background-image: linear-gradient(to bottom, #5b5e81, #4e516f, #41445e, #35374d, #292b3d);
}

.dashboardCards4 {
    background-image: linear-gradient(to bottom, #c26201, #b15a03, #a15305, #914b07, #814408);
}

.dashboardCards h2 {
    font-size: 22px;
    font-weight: 500;
    color: var(--white);
    margin-bottom: 10px;
}

.dashboardCards span {
    font-size: 16px;
    color: var(--white);
}

.dashboardCards .iconBox {
    background-color: var(--white);
    width: 65px;
    height: 65px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.cardWrapperBox {
    background-color: var(--white);
    padding: 15px;
    border-radius: 5px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.cardWrapperBox>h2 {
    font-size: 16px;
    font-weight: 500;
    border-bottom: 1px solid #ddd;
    padding-bottom: 10px;
    margin-bottom: 15px;
}

.tableWrapperSec .dt-layout-row:first-child {
    margin-top: 0px;
}

.tableWrapperSec .dt-layout-row:last-child {
    margin-bottom: 0px;
}

.tableWrapperSec table tr th {
    background-color: var(--secondary);
    color: #fff;
    font-size: 16px;
    font-weight: 400;
    padding: 10px !important;
}

.tableWrapperSec table tr td {
    color: var(--black);
    font-size: 16px;
    font-weight: 400;
    padding: 10px !important;
}

.tableWrapperSec .dt-layout-start .dt-input {
    margin-right: 5px;
}

.actionItem .editBtn {
    background-color: transparent;
    border: none;
    outline: none;
    font-size: 18px;
    color: var(--primary);
}

.actionItem .deleteBtn {
    background-color: transparent;
    border: none;
    outline: none;
    font-size: 18px;
    color: var(--dangerColor);
}

.tableWrapperSec table tr .numbericLeftAlign {
    text-align: start;
}

div.dt-container .dt-paging .dt-paging-button.current,
div.dt-container .dt-paging .dt-paging-button.current:hover,
div.dt-container .dt-paging .dt-paging-button:hover {
    background: var(--primary);
    color: var(--white) !important;
    border-color: var(--primary);
}

/*Dashboard Page Css End Here*/


/*Dashboard Menu Click Css Start Here*/
.dashboardSlide .adminHeaderSec {
    margin-left: 80px;
}

.dashboardSlide .sidebarSec {
    width: 80px;
}

.dashboardSlide .dashboardBody_Sec {
    margin-left: 80px;
}

.dashboardSlide .sidebarSec>.logo>.logoImg {
    display: none;
}

.dashboardSlide .sidebarSec>.logo>.logoIconImg {
    display: block;
}

.dashboardSlide .sidebarSec .sidenavbar_Sec li a>span,
.dashboardSlide .sidebarSec .sidenavbar_Sec li a>.angleDown {
    display: none;
}

.btnBox .cstmBtn,
.formBtnBox .cancelBTN,
.formBtnBox .saveBTN {
    background: var(--primary);
    color: var(--white);
    border: none;
    outline: none;
    padding: 7px 15px;
    font-size: 16px;
    font-weight: 400;
    text-transform: capitalize;
    text-decoration: none;
    border-radius: 5px;
    display: inline-block;
}

.cstmInputBox label {
    font-size: 16px;
    font-weight: 400;
    color: var(--black);
}

.cstmInputBox input {
    font-size: 16px;
    font-weight: 400;
    color: var(--black);
    padding: 10px 15px;
}

/*Dashboard Menu Click Css End Here*/


/*Modal Pop-up Css Here*/
.cstmModalSec .modal-header {
    background-color: var(--primary);
    padding: 15px 16px;
}

.cstmModalSec .modal-header h1 {
    color: var(--white);
}

.cstmModalSec .modal-header .btn-close {
    background: url(../images/close.svg) no-repeat;
    background-position: center;
}

.cstmModalSec .btn-close:focus {
    box-shadow: unset;
}


/*Delete Modal Pop-up Css Here*/
.deleteModalContentBox img {
    width: 100%;
    max-width: 120px;
}

.deleteModalContentBox h2 {
    font-size: 28px;
    font-weight: 500;
    margin: 20px 0px 15px;
    color: var(--black);
}

.deleteModalContentBox p {
    font-size: 16px;
    font-weight: 400;
    color: #737373;
}

.deleteModalBtnBox .cancelBTN {
    border: 1px solid var(--dangerColor);
    background: transparent !important;
    color: var(--dangerColor);
}




/*Add New Company Setting Css Start Here*/
.cstmForm_Check input {
    width: 20px;
    height: 20px;
    margin: 1px 7px 0px 0px;
}

.cstmFormSwitch {
    display: flex;
    align-items: center;
    gap: 10px;
}

.cstmFormSwitch input {
    width: 45px !important;
    height: 25px;
    margin: 0px;
}
/*Add New Company Setting Css End Here*/





/*15-02-2025 Admind Sidebar Menu Hover Collapsible Css Here */

.dashboardSlide .sidebarSec:hover {
    width: 300px;
}

    .dashboardSlide .sidebarSec:hover .sidenavbar_Sec li a > span, .dashboardSlide .sidebarSec:hover .sidenavbar_Sec li a > .angleDown {
        display:block;
    }

.dashboardSlide .sidebarSec .sidenavbar_Sec > li > ul {
    display:none !important;
}

.dashboardSlide .sidebarSec:hover .sidenavbar_Sec > li > ul {
    display:block !important;
}